DECLARE SUB SaveGame ()
DECLARE SUB ParkInfo ()
DECLARE SUB Park ()
DECLARE SUB RoomInfo ()
DECLARE SUB Help ()
DECLARE SUB Endgame ()
DECLARE SUB CannotDo ()
DECLARE SUB CannotGo ()
DECLARE SUB Dead ()
DECLARE SUB HitAnyKey ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
'$INCLUDE: 'c:\bc7\programs\yoshi\global.bi'

SUB RoomInfo

  IF RestoringRoom = 1 THEN GOTO GetTheRoom

1000 CLS
  RestoreRoom = 1000
  PRINT "You are on the road outside Yoshi's house.  The house is to the north, and"
  PRINT "there is a green park to the south.  The road dead-ends to the west, but runs"
  PRINT "to the east for a while."
1003 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 1200
  IF a$ = "S" THEN ParkInfo
  IF a$ = "E" THEN GOTO 2200
  IF a$ = "W" THEN CannotGo: GOTO 1003
  IF a$ = "I" THEN Inventory: GOTO 1003
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 1003
  IF a$ = "LOOK" THEN GOTO 1000
  IF a$ = "SEARCH" AND road1search = 0 THEN PRINT "You see a roadkill lizard.  Cool!": road1search = 1: GOTO 1003
  IF a$ = "SEARCH" AND road1search = 1 THEN PRINT "There's not much of interest here.": GOTO 1003
  IF a$ = "QUIT" THEN Quit: GOTO 1003
  IF a$ = "HELP" THEN Help: GOTO 1000
  CannotDo
  GOTO 1003

1100 CLS
  RestoreRoom = 1100
  PRINT "You are standing in the upstairs hallway in Yoshi's house.  The carpet is"
  PRINT "thick and lush.  A door to the north opens into Yoshi's bedroom and there's"
  PRINT "a bathroom to the east.  Stairs to the south lead downstairs."
1103 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 1300
  IF a$ = "S" THEN GOTO 1200
  IF a$ = "E" THEN GOTO 1155
  IF a$ = "W" THEN CannotGo: GOTO 1103
  IF a$ = "I" THEN Inventory: GOTO 1103
  IF a$ = "LOOK" THEN GOTO 1100
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 1103
  IF a$ = "SEARCH" THEN PRINT "You find nothing but some dust bunnies.": GOTO 1103
  IF a$ = "QUIT" THEN Quit: GOTO 1103
  IF a$ = "OPEN DOOR" OR a$ = "OPEN BATHROOM DOOR" OR a$ = "UNLOCK DOOR" OR a$ = "UNLOCK BATHROOM" OR a$ = "USE KEY" THEN GOTO 1155
  IF a$ = "HELP" THEN Help: GOTO 1100
  CannotDo
  GOTO 1103
1155 IF bathroomkey = 0 THEN GOTO 1157
  PRINT "You unlock the bathroom and go in."
  HitAnyKey
  GOTO 2000
1157 PRINT "The bathroom door is locked.  You are reminded of an old rhyme:"
  PRINT "  How dry I am,"
  PRINT "  How wet I'll be"
  PRINT "  If I can't find"
  PRINT "  The bathroom key."
  GOTO 1103

1200 CLS
  RestoreRoom = 1200
  PRINT "You are standing in the living room of the Yoshi residence.  Couches and"
  PRINT "chairs are set up for the party tommorow.  Streamers and balloons hang from"
  PRINT "the ceiling here and there.  A fire crackles in the fireplace.  The door to"
  PRINT "the garage is to the east, and there are stairs leading upstairs to the north."
  PRINT "The front door is to the south and the kitchen is to the west."
1205 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 1100
  IF a$ = "S" THEN GOTO 1000
  IF a$ = "E" THEN GOTO 2100
  IF a$ = "W" THEN GOTO 5500
  IF a$ = "I" THEN Inventory: GOTO 1205
  IF a$ = "LOOK" THEN GOTO 1200
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 1205
  IF a$ = "QUIT" THEN Quit: GOTO 1205
  IF a$ = "SEARCH" THEN GOTO 1251
  IF a$ = "GET STREAMER" OR a$ = "GET STREAMERS" OR a$ = "GET BALLOON" OR a$ = "GET BALLOONS" THEN PRINT "You wouldn't want to ruin the party, would you?": GOTO 1205
  IF a$ = "USE TORCH" OR a$ = "LIGHT TORCH" THEN GOTO 1260
  IF a$ = "TOUCH FIRE" OR a$ = "GET FIRE" THEN PRINT "Ouch!  That's really hot!": GOTO 1205
  IF a$ = "HELP" THEN Help: GOTO 1200
  CannotDo
  GOTO 1205
1251 IF lampshade = 1 OR lampshade = 2 THEN PRINT "You don't find much of interest here.": GOTO 1205
  IF lampshade = 0 THEN PRINT "One of the lamps has a really cool red lampshade with yellow tassels. You pick"
  PRINT "it up and stash it away.  Yoshi'll never miss it.  It didn't fit the decor of"
  PRINT "the room, anyway.  And don't ask where you stash it away to.  It's not"
  PRINT "important."
  lampshade = 1
  GOTO 1205
1260 IF torch = 0 THEN PRINT "Uh, you don't have a torch.": GOTO 1205
  IF torch = 1 THEN PRINT "You light your torch in the fireplace.": torch = 2: GOTO 1205
  IF torch = 2 THEN PRINT "Your torch is already lit.": GOTO 1205

1300 IF popsiclesticks = 1 THEN Endgame
  CLS
  RestoreRoom = 1300
  PRINT "You are in Yoshi's bedroom.  He's not here at the moment, so you don't feel"
  PRINT "nervous poking around in closets and stuff.  He has a bunk bed with Pac Man"
  PRINT "sheets.  His dresser is covered in birthday cards, and you see no less than"
  IF twentydollarbill = 0 THEN PRINT "five ";
  IF twentydollarbill = 1 OR twentydollarbill = 2 THEN PRINT "four ";
  PRINT "twenty dollar bills!  He's getting rich off this birthday!  The only exit"
  PRINT "is through the door to the south."
1305 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "W" OR a$ = "E" THEN CannotGo: GOTO 1305
  IF a$ = "S" THEN GOTO 1100
  IF a$ = "I" THEN Inventory: GOTO 1305
  IF a$ = "LOOK" THEN GOTO 1300
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 1305
  IF a$ = "QUIT" THEN Quit: GOTO 1305
  IF a$ = "SLEEP" OR a$ = "SLEEP IN BED" THEN PRINT "No way!  Yoshi talks all the time about the monsters under his bed!": GOTO 1305
  IF a$ = "SEARCH" THEN GOTO 1355
  IF a$ = "STEAL MONEY" OR a$ = "TAKE MONEY" OR a$ = "TAKE TWENTY DOLLAR BILL" OR a$ = "TAKE BILL" OR a$ = "GET MONEY" OR a$ = "GET TWENTY DOLLAR BILL" OR a$ = "GET TWENTY DOLLAR BILLS" OR a$ = "GET BILL" THEN GOTO 1360
  IF a$ = "LOOK UNDER BED" THEN PRINT "No.  Yoshi tells horror stories about the monsters under there.": GOTO 1305
  IF a$ = "CLEAN" OR a$ = "CLEAN BEDROOM" OR a$ = "CLEAN ROOM" THEN PRINT "Yeah, right.": GOTO 1305
  IF a$ = "OPEN CLOSET" THEN PRINT "There isn't a closet.": GOTO 1305
  IF a$ = "OPEN CARD" OR a$ = "OPEN CARDS" OR a$ = "OPEN BIRTHDAY CARD" OR a$ = "OPEN BIRTHDAY CARDS" OR a$ = "GET CARD" OR a$ = "GET CARDS" OR a$ = "READ BIRTHDAY CARD" OR a$ = "READ BIRTHDAY CARDS" OR a$ = "READ CARD" OR a$ = "READ CARDS" THEN  _
PRINT "They all say 'Happy Birthday!'": GOTO 1305
  IF a$ = "HELP" THEN Help: GOTO 1300
  CannotDo
  GOTO 1305
1355 IF camera = 1 OR camera = 2 THEN PRINT "You find some cool Legos built into a castle.  Neat!": GOTO 1305
  IF camera = 0 AND photo = 0 THEN PRINT "In the top drawer of his dresser, you find Yoshi's polaroid camera.  It only"
  PRINT "has one exposure left.  He won't miss it.  Much.  You take it.": camera = 1: GOTO 1305
1360 IF getmoney = 0 THEN PRINT "No, you couldn't do that.  It would be stealing.": getmoney = 1: GOTO 1305
  IF getmoney = 1 AND twentydollarbill = 0 THEN PRINT "Oh, what the heck.  You take one of the bills.": twentydollarbill = 1: GOTO 1305
  IF twentydollarbill = 1 OR twentydollarbill = 2 THEN PRINT "No, you don't need any more cash.": GOTO 1305

1900 CLS
  RestoreRoom = 1900
  PRINT "You are inside a house.  Someone here is holding a massive party.  Tables of"
  PRINT "refreshments and drinks are against one wall.  At least two-hundred people"
  PRINT "are here moshing to grunge music blasting from a massive stereo.  It looks"
  PRINT "like most of the people are high, drunk, or both.  The only exit free of"
  PRINT "dancing bodies is back out to the street.  ";
  GOTO 1960
1906 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "S" OR a$ = "W" THEN CannotGo: GOTO 1906
  IF a$ = "E" THEN GOTO 2700
  IF a$ = "I" THEN Inventory: GOTO 1906
  IF a$ = "LOOK" THEN GOTO 1900
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 1906
  IF a$ = "QUIT" THEN Quit: GOTO 1906
  IF a$ = "SEARCH" THEN PRINT "You don't find much other than lots of booze.": GOTO 1906
  IF a$ = "DRINK" OR a$ = "DRINK BOOZE" OR a$ = "GET DRINK" OR a$ = "DRINK BEER" OR a$ = "GET BEER" OR a$ = "GET BOOZE" THEN GOTO 1955
  IF a$ = "GET FOOD" OR a$ = "EAT FOOD" OR a$ = "EAT" OR a$ = "EAT REFRESHMENTS" OR a$ = "GET REFRESHMENTS" THEN PRINT "From the looks of the food, it seems that the chef was drunk.  You're": PRINT "afraid to touch them.": GOTO 1906
  IF a$ = "PARTY" OR a$ = "DANCE" OR a$ = "MOSH" THEN PRINT "You've got better things to do than end up in the emergency room.": GOTO 1906
  IF a$ = "TAKE STEREO" OR a$ = "GET STEREO" THEN PRINT "The party-goers probably wouldn't like that.": GOTO 1906
  IF a$ = "HELP" THEN Help: GOTO 1900
  CannotDo
  GOTO 1906
1955 IF drinkbeer = 1 THEN PRINT "There's no way you're going to do that again.": GOTO 1906
  PRINT "You grab a can of booze and guzzle it.  Your tolerance to alcohol is pretty"
  PRINT "low, so you immediately want to throw up.  Someone passes you the key to the"
  PRINT "bathroom."
  drinkbeer = 1
  bathroomkey = 1
  GOTO 1906
1960 IF lampshade = 0 THEN PRINT "You feel out of place": PRINT "and leave.": GOTO 1964
  IF lampshade = 1 THEN PRINT "You put the lampshade": PRINT "on your head.  You fit right in with this crowd!": lampshade = 2: GOTO 1906
  IF lampshade = 2 THEN PRINT "You've got your lampshade": PRINT "on, so you're ready to party.": GOTO 1906
  GOTO 1906
1964 HitAnyKey
  GOTO 2700

2000 CLS
  RestoreRoom = 2000
  PRINT "You are in a clean bathroom.  It has the standard toilet and sink, plus a"
  PRINT "shower.  The tile floor is covered by a thick carpet.  The only way out is"
  PRINT "to the west."
2003 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "S" OR a$ = "E" THEN CannotGo: GOTO 2003
  IF a$ = "W" THEN GOTO 1100
  IF a$ = "I" THEN Inventory: GOTO 2003
  IF a$ = "LOOK" THEN GOTO 2000
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 2003
  IF a$ = "QUIT" THEN Quit: GOTO 2003
  IF a$ = "BRUSH TEETH" THEN PRINT "You scrub away those evil cavities.  Now look at those pearly whites!": GOTO 2003
  IF a$ = "RETCH" OR a$ = "BLOW CHUNKS" OR a$ = "BARF" OR a$ = "HURL" OR a$ = "CHUNDER" OR a$ = "THROW UP" OR a$ = "PUKE" THEN GOTO 2060
  IF a$ = "SEARCH" OR a$ = "OPEN CABINET" THEN GOTO 2055
  IF a$ = "SHOWER" OR a$ = "TAKE SHOWER" THEN PRINT "You take a shower, washing away any dirt on yourself.  Too bad your clothes": PRINT "are soaking wet now.": stench = 0: GOTO 2003
  IF a$ = "BRUSH HAIR" OR a$ = "COMB HAIR" THEN PRINT "You remove several of the worse tangles.  What a stud you are.": GOTO 2003
  IF a$ = "GO TO BATHROOM" OR a$ = "USE TOILET" THEN PRINT "To what end?  Hmm?": GOTO 2003
  IF a$ = "WASH FACE" OR a$ = "WASH HANDS" THEN PRINT "There's no soap.": GOTO 2003
  IF a$ = "FLUSH TOILET" THEN PRINT "You watch in facination as the water swirls away down the bowl.": GOTO 2003
  IF a$ = "TAKE OFF CLOTHES" OR a$ = "UNDRESS" THEN PRINT "Hey, this game has a PG-13 rating!": GOTO 2003
  IF a$ = "LOOK MIRROR" THEN PRINT "You see yourself staring back.": GOTO 2003
  IF a$ = "CLEAN" OR a$ = "CLEAN BATHROOM" THEN PRINT "Read the room description.  It's already clean.": GOTO 2003
  IF a$ = "GET TOWEL" OR a$ = "USE TOWEL" THEN PRINT "Hey, who told you that there are towels here?": GOTO 2003
  IF a$ = "HELP" THEN Help: GOTO 2000
  CannotDo
  GOTO 2003
2055 IF brillopad = 1 OR brillopad = 2 THEN PRINT "There are some bath towels here, but you don't need them.": GOTO 2003
  PRINT "In the cabinet under the sink, you find a Brillo cleaning pad.": brillopad = 1: GOTO 2003
2060 IF stomach = 1 THEN PRINT "You only have so much in your stomach, you know.": GOTO 2003
  PRINT "You bend over the toilet and empty your stomach.  Ah, much better."
  stomach = 1
  GOTO 2003

2100 CLS
  RestoreRoom = 2100
  PRINT "You are standing in Yoshi's garage.  His car is gone, so you aren't able to"
  PRINT "borrow it.  I also looks as if they haven't cleaned in about three years."
  PRINT "There's lots of junk in here.  The door to the house is to the west, and the"
  PRINT "garage door is to the south.  The garage door is ";
  IF garagedoor = 0 THEN PRINT "closed." ELSE PRINT "open."
2105 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "E" THEN CannotGo: GOTO 2105
  IF a$ = "S" THEN GOTO 2160
  IF a$ = "W" THEN GOTO 1200
  IF a$ = "I" THEN Inventory: GOTO 2105
  IF a$ = "LOOK" THEN GOTO 2100
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 2105
  IF a$ = "QUIT" THEN Quit: GOTO 2105
  IF a$ = "SEARCH" OR a$ = "GET JUNK" THEN GOTO 2155
  IF a$ = "OPEN DOOR" OR a$ = "OPEN GARAGE DOOR" THEN GOTO 2165
  IF a$ = "CLOSE DOOR" OR a$ = "CLOSE GARAGE DOOR" THEN GOTO 2170
  IF a$ = "CLEAN" OR a$ = "CLEAN GARAGE" THEN PRINT "You definitely don't have time for that!": GOTO 2105
  IF a$ = "HELP" THEN Help: GOTO 2100
  CannotDo
  GOTO 2105
2155 IF oilyrags = 1 OR oilyrags = 2 THEN PRINT "You find a colony of mice in a stack of old newspaper.  Eek!": GOTO 2105
  PRINT "You find a pile of oily rags.  You take one.  ";
  oilyrags = 1
  IF branch = 1 THEN PRINT "You wrap the oily rags around": PRINT "your branch to make a torch.": oilyrags = 2: branch = 2: torch = 1: GOTO 2105
  PRINT " "
  GOTO 2105
2160 IF garagedoor = 0 THEN PRINT "The garage door is closed.  It helps to open it.": GOTO 2105
  GOTO 1000
2165 IF garagedoor = 1 THEN PRINT "The garage door is already open.  Duh!": GOTO 2105
  PRINT "You open the garage door.": garagedoor = 1: GOTO 2105
2170 IF garagedoor = 0 THEN PRINT "The garage door is already closed.  Duh!": GOTO 2105
  PRINT "You close the garage door.": garagedoor = 0: GOTO 2105

2200 CLS
  RestoreRoom = 2200
  PRINT "You are on a long east-west road.  The gate to the town cemetary is to the"
  PRINT "south.  A cool breeze blows through the trees overhead."
2202 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN CannotGo: GOTO 2202
  IF a$ = "S" THEN GOTO 2300
  IF a$ = "E" THEN GOTO 3000
  IF a$ = "W" THEN GOTO 1000
  IF a$ = "I" THEN Inventory: GOTO 2202
  IF a$ = "LOOK" THEN GOTO 2200
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 2202
  IF a$ = "QUIT" THEN Quit: GOTO 2202
  IF a$ = "SEARCH" THEN PRINT "You find some tread marks on the road.": GOTO 2202
  IF a$ = "OPEN GATE" THEN PRINT "It already is.": GOTO 2202
  IF a$ = "CLOSE GATE" THEN PRINT "You can't.  It's rusted open.": GOTO 2202
  IF a$ = "HELP" THEN Help: GOTO 2200
  CannotDo
  GOTO 2202

2300 CLS
  RestoreRoom = 2300
  PRINT "You are standing in the town cemetary.  True to form, there are plenty of"
  PRINT "graves around, many over a century old.  It's pretty chilly in here, not to"
  PRINT "mention spooky.  In fact, there are a couple of zombies wandering around."
  GOTO 2360
2310 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 2200
  IF a$ = "S" THEN GOTO 2400
  IF a$ = "E" THEN GOTO 3100
  IF a$ = "W" THEN CannotGo: GOTO 2310
  IF a$ = "I" THEN Inventory: GOTO 2310
  IF a$ = "LOOK" THEN GOTO 2300
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 2310
  IF a$ = "QUIT" THEN Quit: GOTO 2310
  IF a$ = "SEARCH" THEN PRINT "You find some old moss (you don't need it to win the game).": GOTO 2310
  IF a$ = "READ TOMB" OR a$ = "READ TOMBS" OR a$ = "LOOK TOMB" OR a$ = "LOOK TOMBS" OR a$ = "READ GRAVE" OR a$ = "READ GRAVES" OR a$ = "READ TOMBSTONE" OR a$ = "READ TOMBSTONES" OR a$ = "LOOK TOMBSTONE" OR a$ = "LOOK TOMBSTONE" THEN PRINT  _
"They're all too weathered to read.": GOTO 2310
  IF a$ = "USE TORCH" OR a$ = "BURN ZOMBIE" OR a$ = "BURN ZOMBIES" THEN GOTO 2390
  IF a$ = "KILL ZOMBIE" OR a$ = "KILL ZOMBIES" THEN PRINT "You don't stand a chance.": GOTO 2310
  IF a$ = "HELP" THEN Help: GOTO 2300
  CannotDo
  GOTO 2310
2360 IF hockeymask = 2 THEN PRINT "They all ignore you.  The graveyard continues to the south and east, and": PRINT "the gate is to the north.": GOTO 2310
2361 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "USE MASK" OR a$ = "USE HOCKEY MASK" OR a$ = "WEAR MASK" OR a$ = "WEAR HOCKEY MASK" OR a$ = "PUT ON MASK" OR a$ = "PUT ON HOCKEY MASK" THEN GOTO 2379
  IF a$ = "N" THEN GOTO 2200
  IF a$ = "I" THEN Inventory: GOTO 2361
  IF a$ = "HELP" THEN Help: GOTO 2300
  GOTO 2382
2379 IF hockeymask = 0 THEN PRINT "You do not have a hockey mask in your inventory.": GOTO 2382
  IF hockeymask = 1 THEN PRINT "You slip on your hockey mask to blend in with the denizens of the graveyard.": PRINT "They all ignore you.": hockeymask = 2: GOTO 2310
  IF hockeymask = 2 THEN PRINT "They all ignore you.  The graveyard continues to the south and east, and": PRINT "the gate is to the north.": GOTO 2310
2382 PRINT "They immediately recognize you as an intruder and tear you limb from limb."
  PRINT "They then spend the next couple of hours feasting on you.  You're glad you"
  PRINT "could provide them with a hearty meal, but pretty diswrought that you'll miss"
  PRINT "Yoshi's party.  Oh, well."
  HitAnyKey
  Dead
2390 IF torch = 0 THEN PRINT "With what?": GOTO 2310
  PRINT "So you can have flaming zombies chase you?  Yeah, right."
  GOTO 2310

2400 CLS
  RestoreRoom = 2400
  PRINT "You are in the southwestern corner of the graveyard.  There are more graves"
  PRINT "here.  There's a large walk-in crypt to the east, and more of the graveyard"
  PRINT "to the north."
2403 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 2300
  IF a$ = "S" OR a$ = "W" THEN CannotGo: GOTO 2403
  IF a$ = "E" AND torch = 2 THEN GOTO 3200
  IF a$ = "I" THEN Inventory: GOTO 2403
  IF a$ = "LOOK" THEN GOTO 2400
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 2403
  IF a$ = "QUIT" THEN Quit: GOTO 2403
  IF a$ = "READ TOMB" OR a$ = "READ TOMBS" OR a$ = "LOOK TOMB" OR a$ = "LOOK TOMBS" OR a$ = "READ GRAVE" OR a$ = "READ GRAVES" OR a$ = "READ TOMBSTONE" OR a$ = "READ TOMBSTONES" OR a$ = "LOOK TOMBSTONE" OR a$ = "LOOK TOMBSTONE" THEN PRINT  _
"They're all too weathered to read.": GOTO 2403
  IF a$ = "SEARCH" THEN PRINT "There's nothing of interest here.": GOTO 2403
  IF a$ = "E" THEN PRINT "It's really dark in there.  You decide to wait until you have some light.": GOTO 2403
  IF a$ = "HELP" THEN Help: GOTO 2400
  CannotDo
  GOTO 2403

2700 CLS
  RestoreRoom = 2700
  PRINT "You are at the northern dead end of a road.  A house blasting loud music is"
  PRINT "to the west and the road travels to the south."
2702 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "E" THEN CannotGo: GOTO 2702
  IF a$ = "S" THEN GOTO 2800
  IF a$ = "W" THEN GOTO 1900
  IF a$ = "I" THEN Inventory: GOTO 2702
  IF a$ = "LOOK" THEN GOTO 2700
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 2702
  IF a$ = "QUIT" THEN Quit: GOTO 2702
  IF a$ = "SEARCH" THEN PRINT "You don't find anything except some dirty gravel.  Oh, well.": GOTO 2702
  IF a$ = "HELP" THEN Help: GOTO 2700
  CannotDo
  GOTO 2702

2800 CLS
  RestoreRoom = 2800
  PRINT "You are standing along a north-south road.  You can see tall mountains in the"
  PRINT "distance.  Two guesses about which directions you can go."
2802 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 2700
  IF a$ = "S" THEN GOTO 2900
  IF a$ = "E" OR a$ = "W" THEN CannotGo: GOTO 2802
  IF a$ = "I" THEN Inventory: GOTO 2802
  IF a$ = "LOOK" THEN GOTO 2800
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 2802
  IF a$ = "QUIT" THEN Quit: GOTO 2802
  IF a$ = "SEARCH" THEN GOTO 2860
  IF a$ = "GET CHICKEN" AND chickenhit = 0 THEN PRINT "What chicken?": GOTO 2802
  IF a$ = "GET CHICKEN" THEN PRINT "It's all dirty and flattened.  You don't want it.": GOTO 2802
  IF a$ = "HELP" THEN Help: GOTO 2800
  CannotDo
  GOTO 2802
2860 IF chickenhit = 1 THEN PRINT "You see the flattened chicken.": GOTO 2802
  PRINT "You don't find anything, but you watch in morbid facination as a chicken"
  PRINT "crosses the road and is hit by a speeding semi.  Now, why did the chicken"
  PRINT "cross the road?  Who cares.  Better the chicken than you."
  chickenhit = 1
  GOTO 2802

2900 CLS
  RestoreRoom = 2900
  PRINT "You are standing on a north-south road.  A large field is to the east, and"
  PRINT "the road runs to the north and to the south."
2902 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 2800
  IF a$ = "S" THEN GOTO 3000
  IF a$ = "E" THEN GOTO 3400
  IF a$ = "W" THEN CannotGo: GOTO 2902
  IF a$ = "I" THEN Inventory: GOTO 2902
  IF a$ = "LOOK" THEN GOTO 2900
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 2902
  IF a$ = "QUIT" THEN Quit: GOTO 2902
  IF a$ = "SEARCH" THEN PRINT "You don't find much of anything, actually.": GOTO 2902
  IF a$ = "HELP" THEN Help: GOTO 2900
  CannotDo
  GOTO 2902

3000 CLS
  RestoreRoom = 3000
  PRINT "You are at a three-way intersection.  Cars here routinely run the stop signs,"
  PRINT "but that's okay.  They'll all get it in the end.  The roads lead to the north,"
  PRINT "the west, and the east."
3003 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 2900
  IF a$ = "S" THEN CannotGo: GOTO 3003
  IF a$ = "E" THEN GOTO 5300
  IF a$ = "W" THEN GOTO 2200
  IF a$ = "I" THEN Inventory: GOTO 3003
  IF a$ = "LOOK" THEN GOTO 3000
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 3003
  IF a$ = "QUIT" THEN Quit: GOTO 3003
  IF a$ = "SEARCH" THEN PRINT "There's nothing here worth bothering with.": GOTO 3003
  IF a$ = "HELP" THEN Help: GOTO 3000
  CannotDo
  GOTO 3003

3100 CLS
  RestoreRoom = 3100
  PRINT "You are in the town cemetary.  More graves and tombstones here, including one"
  PRINT "that's really big.  Thankfully, there aren't any zombies over here.  To the"
  PRINT "south is a walk-in crypt and the graveyard continues to the west.  Really"
  PRINT "creepy trees with owls in them loom overhead.  You want to get out of here as"
  PRINT "soon as possible."
3105 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "E" THEN CannotGo: GOTO 3105
  IF a$ = "S" AND torch = 2 THEN GOTO 3200
  IF a$ = "W" THEN GOTO 2300
  IF a$ = "I" THEN Inventory: GOTO 3105
  IF a$ = "LOOK" THEN GOTO 3100
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 3105
  IF a$ = "QUIT" THEN Quit: GOTO 3105
  IF a$ = "SEARCH" THEN PRINT "You find a dead dog.  Cool!  It smells, so you don't keep it.": GOTO 3105
  IF a$ = "READ TOMB" OR a$ = "READ TOMBS" OR a$ = "LOOK TOMB" OR a$ = "LOOK TOMBS" OR a$ = "READ GRAVE" OR a$ = "READ GRAVES" OR a$ = "READ TOMBSTONE" OR a$ = "READ TOMBSTONES" OR a$ = "LOOK TOMBSTONE" OR a$ = "LOOK TOMBSTONES" OR a$ = "LOOK GRAVE" _
 OR a$ = "LOOK GRAVES" THEN GOTO 3155
  IF a$ = "CLEAN TOMB" OR a$ = "CLEAN TOMBS" OR a$ = "USE BRILLO" OR a$ = "USE PAD" OR a$ = "USE BRILLO PAD" OR a$ = "CLEAN GRAVE" OR a$ = "CLEAN TOMBSTONE" THEN GOTO 3160
  IF a$ = "S" THEN PRINT "It's really dark in there.  You decide to wait until you have some light.": GOTO 3105
  IF a$ = "TALK OWL" OR a$ = "GET OWL" THEN PRINT "Who?": GOTO 3105
  IF a$ = "HELP" THEN Help: GOTO 3100
  CannotDo
  GOTO 3105
3155 IF cleangrave = 0 THEN PRINT "The big tombstone is crusted over with grime.  You can't read it.": GOTO 3105
  IF cleangrave = 1 THEN PRINT "It reads: 'Ask Mulder about PASSWORD.'": GOTO 3105
3160 IF brillopad = 0 THEN PRINT "You have nothing to clean the tombstone with.": GOTO 3105
  IF cleangrave = 1 THEN PRINT "You've already cleaned the grime off the tombstone.": GOTO 3105
  PRINT "You use your Brillo pad to scrub away all the crust and grime that has built"
  PRINT "up on the tombstone.  You throw the used Brillo pad away."
  cleangrave = 1
  brillopad = 2
  GOTO 3105

3200 CLS
  RestoreRoom = 3200
  PRINT "You are in the dank, damp, dark crypt.  There is an ancient coffin on a"
  PRINT "pedestal in the middle of the room.  Spiderwebs and carved gargoyles"
  PRINT "decorate the walls.  There are two sets of stairs leading back up to the"
  PRINT "graveyard: one to the north and the other to the west."
3204 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 3100
  IF a$ = "S" OR a$ = "E" THEN CannotGo: GOTO 3204
  IF a$ = "W" THEN GOTO 2400
  IF a$ = "I" THEN Inventory: GOTO 3204
  IF a$ = "LOOK" THEN GOTO 3200
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 3204
  IF a$ = "QUIT" THEN Quit: GOTO 3204
  IF a$ = "SEARCH" OR a$ = "OPEN COFFIN" THEN GOTO 3255
  IF a$ = "GET COFFIN" OR a$ = "GET BODY" OR a$ = "GET CORPSE" THEN PRINT "Uh, no.  You don't need that.": GOTO 3204
  IF a$ = "GET SPIDER" OR a$ = "GET SPIDERWEB" THEN PRINT "You recognize the web as that of the ultra-deady brown recluse.  You": PRINT "decide to play elsewhere.": GOTO 3204
  IF a$ = "GET GARGOYLE" OR a$ = "MOVE GARGOYLE" OR a$ = "LOOK GARGOYLE" THEN GOTO 3260
  IF a$ = "HELP" THEN Help: GOTO 3200
  CannotDo
  GOTO 3204
3255 IF smellybone = 1 OR smellybone = 2 THEN PRINT "Haven't you desecrated the poor body enough already?": GOTO 3204
  PRINT "In the coffin is a rotting corpse.  You wrinkle your nose at the putrid smell,"
  PRINT "but grab one of the exposed femur bones.  You never know when you might need"
  PRINT "a smelly bone.": smellybone = 1: GOTO 3204
3260 PRINT "Suddenly, a breeze blows out of nowhere and extinguishes your torch.  The"
  PRINT "crypt is plunged into darkness.  You hear the scraping of stone on stone, and"
  PRINT "you are startled to see twin pairs of glowing eyes in the dark.  You realize"
  PRINT "that it's the gargoyles.  Oh, and they only come out when it's dark.  You"
  PRINT "don't live long enough to find out if the gargoyles are nice or not.  You'd"
  PRINT "guess not."
  HitAnyKey
  Dead

3400 CLS
  RestoreRoom = 3400
  PRINT "You are in a large, spacious field.  Tall grass grows in clumps that dot the"
  PRINT "area.  There are no trees;  it seems that this area was cleared for a"
  PRINT "building that was never built.  To the north is absolutely nothing.  There are"
  PRINT "roads to the west and south.  In the sky overhead is a saucer-shaped UFO!"
3404 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN 3420
  IF a$ = "E" THEN CannotGo: GOTO 3404
  IF a$ = "S" THEN GOTO 5300
  IF a$ = "W" THEN GOTO 2900
  IF a$ = "I" THEN Inventory: GOTO 3404
  IF a$ = "LOOK" THEN GOTO 3400
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 3404
  IF a$ = "QUIT" THEN Quit: GOTO 3404
  IF a$ = "USE CAMERA" OR a$ = "TAKE PICTURE" OR a$ = "TAKE PHOTO" OR a$ = "TAKE PHOTOGRAPH" OR a$ = "PHOTOGRAPH UFO" OR a$ = "TAKE PICTURE OF UFO" OR a$ = "TAKE PHOTO OF UFO" OR a$ = "TAKE PHOTOGRAPH OF UFO" THEN GOTO 3455
  IF a$ = "SEARCH" THEN GOTO 3470
  IF a$ = "USE BIRDSEED" OR a$ = "PLANT BIRDSEED" THEN GOTO 3460
  IF a$ = "BEAM ME UP, SCOTTY" OR a$ = "BEAM UP" OR a$ = "BEAM ME UP" OR a$ = "BEAM ME UP SCOTTY" THEN PRINT "Wrong universe, bucko.": GOTO 3404
  IF a$ = "HELP" THEN Help: GOTO 3400
  CannotDo
  GOTO 3404
3420 PRINT "You walk north into the nothing.  You cease to exist.  You are deceased.  You"
  PRINT "no longer are.  You kick the bucket.  You listen as the fat lady sings.  You"
  PRINT "are worm meal.  Uh, you are...um...well...that'll learn ya to walk into"
  PRINT "nothing!"
  HitAnyKey
  Dead
3455 IF camera = 0 THEN PRINT "You don't have a camera to use.": GOTO 3404
  IF camera = 2 THEN PRINT "You're all out of film.": GOTO 3404
  PRINT "You snap out a crystal-clear picture of the UFO, living evidence that the"
  PRINT "truth is out there.  The polaroid camera is out of film and you pocket the"
  PRINT "photo.": camera = 2: photo = 1: GOTO 3404
3460 IF birdseed = 0 THEN PRINT "You don't have anything to plant.": GOTO 3404
  PRINT "You plant your birdseed.  You're such an eco-freak, always looking out for"
  PRINT "the planet.": birdseed = 0: GOTO 3404
3470 IF searchfield = 0 THEN PRINT "You find a gopher hole.  Now, only if you had a M-80...": searchfield = 1: GOTO 3404
  IF searchfield = 2 THEN PRINT "You see lots of cool stuff (gopher bits, UFO, etc.).": GOTO 3404
  PRINT "Wonder of wonders, you find a M-80!  You light it and drop it down the gopher"
  PRINT "hole.  BOOM!  Gopher bits shower the field.  Cool!"
  searchfield = 2
  GOTO 3404

3500 CLS
  RestoreRoom = 3500
  PRINT "You are standing on the curb of a road that runs to the west and to the east."
  PRINT "To the north is a Hallmark card and gift store.  Set in the middle of the road"
  PRINT "is a rusty sewer grate."
3503 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 5100
  IF a$ = "S" THEN CannotGo: GOTO 3503
  IF a$ = "E" THEN GOTO 3900
  IF a$ = "W" THEN GOTO 5300
  IF a$ = "I" THEN Inventory: GOTO 3503
  IF a$ = "LOOK" THEN GOTO 3500
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 3503
  IF a$ = "QUIT" THEN Quit: GOTO 3503
  IF a$ = "LIFT GRATE" OR a$ = "LIFT SEWER GRATE" OR a$ = "MOVE GRATE" OR a$ = "MOVE SEWER GRATE" OR a$ = "OPEN SEWER" OR a$ = "OPEN SEWER GRATE" OR a$ = "OPEN GRATE" OR a$ = "DOWN" OR a$ = "CLIMB DOWN" OR a$ = "D" OR a$ = "ENTER SEWER" THEN GOTO  _
3555
  IF a$ = "USE BAR" OR a$ = "USE PRY BAR" OR a$ = "PRY GRATE" OR a$ = "PRY SEWER GRATE" THEN GOTO 3560
  IF a$ = "SEARCH" THEN PRINT "You don't find anthing interesting.": GOTO 3503
  IF a$ = "HELP" THEN Help: GOTO 3500
  CannotDo
  GOTO 3503
3555 IF rustygrate = 0 THEN PRINT "The grate is rusted firmly into place.  You cannot even budge it.": GOTO 3503
  PRINT "You lift the sewer grate and slip down into the sewer."
  HitAnyKey
  GOTO 3600
3560 IF prybar = 0 THEN PRINT "You don't have the right tools to do that.": GOTO 3503
  IF rustygrate = 1 THEN PRINT "You've already done that.": GOTO 3503
  PRINT "You use your pry bar to lever the rusted sewer grate out from the ground."
  rustygrate = 1: GOTO 3503

3600 CLS
  RestoreRoom = 3600
  PRINT "You are standing in ankle-seep sewer water and garbage.  The tunnel-like"
  PRINT "sewer runs a ways to the south, and there are some rungs set into the wall"
  PRINT "here to climb back up to the road.  Light fliters down through the grate"
  PRINT "overhead.  The stench down here is phenomenal.": GOTO 3655
3604 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "W" OR a$ = "E" THEN CannotGo: GOTO 3604
  IF a$ = "S" THEN GOTO 3700
  IF a$ = "I" THEN Inventory: GOTO 3604
  IF a$ = "LOOK" THEN GOTO 3600
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 3604
  IF a$ = "QUIT" THEN Quit: GOTO 3604
  IF a$ = "SEARCH" THEN PRINT "In the gook around your ankles, you find some - no, never mind.": GOTO 3604
  IF a$ = "U" OR a$ = "UP" OR a$ = "OPEN GRATE" OR a$ = "CLIMB" OR a$ = "CLIMB RUNGS" THEN GOTO 3500
  IF a$ = "HELP" THEN Help: GOTO 3600
  CannotDo
  GOTO 3604
3655 IF stench = 0 OR stench = 2 THEN stench = 1
  GOTO 3604

3700 CLS
  RestoreRoom = 3700
  PRINT "You are standing along a tunnel deep into the sewer systems below the town."
  PRINT "Along one wall is a huge nest of branches, cardboard, and other discarded"
  PRINT "items.  It's a nest of rabid sewer badgers, grown to enormous size!  The long,"
  PRINT "damp tunnel runs to the north and to the south.  ";
  GOTO 3760
3705 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 3600
  IF a$ = "S" THEN GOTO 3800
  IF a$ = "E" OR a$ = "W" THEN CannotGo: GOTO 3705
  IF a$ = "I" THEN CannotGo: GOTO 3705
  IF a$ = "LOOK" THEN GOTO 3700
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 3705
  IF a$ = "QUIT" THEN Quit: GOTO 3705
  IF a$ = "SEARCH" THEN PRINT "You're not doing ANY searching while those rabid sewer badgers are here.": GOTO 3705
  IF a$ = "HELP" THEN Help: GOTO 3700
  CannotDo
  GOTO 3705
3760 IF smellybone = 2 THEN PRINT "The rabid sewer badgers are": PRINT "still fighting over the smelly bone.": GOTO 3705
3761 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 3600
  IF a$ = "USE BONE" OR a$ = "USE SMELLY BONE" OR a$ = "THROW BONE" OR a$ = "THROW SMELLY BONE" OR a$ = "GIVE BONE" OR a$ = "GIVE SMELLY BONE" OR a$ = "DROP BONE" OR a$ = "DROP SMELLY BONE" THEN GOTO 3770
  IF a$ = "I" THEN Inventory: GOTO 3761
  IF a$ = "HELP" THEN Help: GOTO 3700
3764 PRINT "The rabid sewer badgers smell your warm blood and instantly attack.  They all"
  PRINT "leap at you, tearing the meat off your bones.  Their slobber gets everywhere"
  PRINT "and just ruins your clothes.  Bloody badgers.  Well, that's then end of things"
  PRINT "for you."
  HitAnyKey
  Dead
3770 IF smellybone = 0 THEN PRINT "You don't exactly have a bone to pick with them.  They don't like you.": GOTO 3764
  PRINT "You toss the smelly bone over into the midst of the pack of rabid sewer"
  PRINT "badgers.  They leap hungrily at the offered meat, fighting one another for"
  PRINT "the morsel.  In the process, they completely ignore you."
  smellybone = 2
  GOTO 3705

3800 CLS
  RestoreRoom = 3800
  PRINT "You are at the southern end of the long sewer tunnel.  Another tunnel runs to"
  PRINT "the east, and sunlight filtering down through grates in the road above lights"
  PRINT "the way.  The stench isn't quite as bad here, but is still realy smells."
3804 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 3700
  IF a$ = "S" OR a$ = "W" THEN CannotGo: GOTO 3804
  IF a$ = "E" THEN GOTO 4200
  IF a$ = "I" THEN Inventory: GOTO 3804
  IF a$ = "LOOK" THEN GOTO 3800
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 3804
  IF a$ = "QUIT" THEN Quit: GOTO 3804
  IF a$ = "SEARCH" THEN PRINT "You're not even going to put your hands in the stuff around your ankles.": GOTO 3804
  IF a$ = "HELP" THEN Help: GOTO 3800
  CannotDo
  GOTO 3804

3900 CLS
  RestoreRoom = 3900
  PRINT "You are standing at the eastern end of a long road.  The road dead ends at a"
  PRINT "sandy beach, which stretches to the north and to the south.  A sea-side cliff"
  PRINT "is to the east.  Seagulls wheel about overhead, and a cool breeze washes over"
  PRINT "you."
3904 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 5200
  IF a$ = "S" THEN GOTO 4400
  IF a$ = "E" THEN GOTO 4300
  IF a$ = "W" THEN GOTO 3500
  IF a$ = "I" THEN Inventory: GOTO 3904
  IF a$ = "LOOK" THEN GOTO 3900
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 3904
  IF a$ = "QUIT" THEN Quit: GOTO 3904
  IF a$ = "SEARCH" THEN PRINT "You find sand on the road.": GOTO 3904
  IF a$ = "FEED BIRD" OR a$ = "FEED BIRDS" OR a$ = "FEED SEAGULL" OR a$ = "FEED SEAGULLS" OR a$ = "USE BIRDSEED" THEN PRINT "Seagulls don't like birdseed.": GOTO 3904
  IF a$ = "HELP" THEN Help: GOTO 3900
  CannotDo
  GOTO 3904

4000 CLS
  RestoreRoom = 4000
  PRINT "You are in the northernmost end of a long sewer tunnel.  It stretches to the"
  PRINT "south.  Rungs set into the concrete wall lead up to a grate in the ceiling."
4003 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "U" OR a$ = "UP" OR a$ = "OPEN GRATE" OR a$ = "CLIMB" OR a$ = "CLIMB RUNGS" THEN GOTO 3900
  IF a$ = "N" OR a$ = "W" OR a$ = "E" THEN CannotGo: GOTO 4003
  IF a$ = "S" THEN GOTO 4100
  IF a$ = "I" THEN Inventory: GOTO 4003
  IF a$ = "LOOK" THEN GOTO 4000
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 4003
  IF a$ = "QUIT" THEN Quit: GOTO 4003
  IF a$ = "SEARCH" THEN GOTO 4010
  IF a$ = "READ" OR a$ = "READ BOOK" OR a$ = "READ COOKBOOK" OR a$ = "READ ANARCHIST'S COOKBOOK" THEN GOTO 4020
  IF a$ = "HELP" THEN Help: GOTO 4000
  CannotDo
  GOTO 4003
4010 PRINT "In the sludge, you find an old copy of the Anarchist's Cookbook.  It's soaked"
  PRINT "with sewer slime and stuff, so you don't pocket it, though you may be able to"
  PRINT "read it here without throwing up or anything.": GOTO 4003
4020 COLOR 15, 0, 8
  PRINT "To make a homemade atomic weapon, you need only a can opener (preferably"
  PRINT "clean) and a Q-Tip.  Using the genius of MacGyver, you too can execute revenge"
  PRINT "on those who have wronged you.  Please note that the author does not accept"
  PRINT "any responsibility for any damage caused by this or any other part of this"
  PRINT "book."
  COLOR 7, 0, 8
  IF canopener = 0 OR qtip = 0 THEN PRINT "You don't have the materials needed.  You'll have to come back later.": GOTO 4003
  IF canopener = 2 THEN GOTO 4035
  PRINT "You've got the materials needed.  Do you want to make an atomic weapon? ";
MakeBomb:
  LOCATE , , 1
  Temp = ""
  DO
  Temp = INKEY$
  Temp = UCASE$(Temp)
  LOOP UNTIL LEN(Temp) > 0
  IF Temp = "Y" THEN PRINT "yes": GOTO 4030
  IF Temp = "N" THEN PRINT "no": GOTO NoBombToday
  GOTO MakeBomb
NoBombToday:
  PRINT "Perhaps next time.": GOTO 4003
4030 canopener = 2: qtip = 2: atomicbomb = 1
  PRINT "You spend an hour aligning the ionization and polarity of the two components."
  PRINT "After much work, you sit back and look at your very own atomic weapon with"
  PRINT "evident pride.  ";
4035 PRINT "Would you like to test it? ";
TestBomb:
  LOCATE , , 1
  Temp = ""
  DO
  Temp = INKEY$
  Temp = UCASE$(Temp)
  LOOP UNTIL LEN(Temp) > 0
  IF Temp = "Y" THEN PRINT "yes": GOTO 4040
  IF Temp = "N" THEN PRINT "no": GOTO NoSetOffBomb
  GOTO TestBomb
NoSetOffBomb:
  PRINT "Perhaps next time.  If you ever do want to test it, just come back here and"
  PRINT "reread the Anarchist's Cookbook.  Just remember: fallout is fun!"
  GOTO 4003
4040 LOCATE , , 0
  PRINT "You set the timer on your homemade atomic weapon and sit back to watch the"
  PRINT "fireworks display.  You grin in triumph just a millisecond before you're"
  PRINT "vaporized into subatomic particles."
  HitAnyKey
  PRINT
  PRINT "In Washington D.C., the president is notified of the explosion of an atomic"
  PRINT "weapon.  He quickly deduces that the Russians have tried to once again"
  PRINT "destroy democracy.  He orders an immediate retaliation, starting a long and"
  PRINT "bloody war that is later known simply as WWIII."
  HitAnyKey
  PRINT
  PRINT "Good job.  Not only did you lose this game, but you destroyed the world in"
  PRINT "the process.  Actually, that's pretty cool.  Yes!"
  HitAnyKey
  Dead

4100 CLS
  RestoreRoom = 4100
  PRINT "You are standing midway along a north-south sewer tunnel.  Sludge swirls"
  PRINT "sickeningly around your ruined tennis shoes.  The stench is still pretty bad,"
  PRINT "though it seems to lessen to the north."
4103 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 4000
  IF a$ = "S" THEN GOTO 4200
  IF a$ = "E" OR a$ = "W" THEN CannotGo: GOTO 4103
  IF a$ = "I" THEN Inventory: GOTO 4103
  IF a$ = "LOOK" THEN GOTO 4100
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 4103
  IF a$ = "QUIT" THEN Quit: GOTO 4103
  IF a$ = "SEARCH" THEN PRINT "You catch a flash of green out of the corner of your eye.  It's the": PRINT "Teenage Mutant Ninja Turtles off to fight evil!": GOTO 4103
  IF a$ = "HELP" THEN Help: GOTO 4100
  CannotDo
  GOTO 4103

4200 CLS
  RestoreRoom = 4200
  PRINT "You are standing at the junction of two sewer pipes, one to the north and the"
  PRINT "other to the east.  The junction is pretty much filled with the bulk of a"
  PRINT "giant rhinoceros.  He doesn't look a bit happy, though not quite angry, either."
4204 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 4100
  IF a$ = "E" OR a$ = "S" THEN CannotGo: GOTO 4204
  IF a$ = "I" THEN Inventory: GOTO 4204
  IF a$ = "LOOK" THEN GOTO 4200
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 4204
  IF a$ = "QUIT" THEN Quit: GOTO 4204
  IF a$ = "TALK" OR a$ = "TALK RHINO" OR a$ = "TALK RHINOCEROS" THEN GOTO 4255
  IF a$ = "ASK ABOUT STOMACH" THEN GOTO 4260
  IF a$ = "USE KAOPECTATE" OR a$ = "USE BOTTLE" OR a$ = "USE BOTTLE OF KAOPECTATE" OR a$ = "GIVE KAOPECTATE" OR a$ = "GIVE BOTTLE" OR a$ = "GIVE BOTTLE OF KAOPECTATE" THEN GOTO 4265
  IF a$ = "SEARCH" THEN GOTO 4275
  IF a$ = "W" THEN GOTO 3800
  IF a$ = "HELP" THEN Help: GOTO 4200
  CannotDo
  GOTO 4204
4255 IF curerhino = 1 THEN PRINT "'Oh, thank you.  I feel much better now.'": GOTO 4204
  IF talkrhino = 1 THEN GOTO 4260
  PRINT "The rhino moans, 'Oh, my goodness.  My stomach.  It hurts so badly.'"
  talkrhino = 1
  GOTO 4204
4260 IF curerhino = 1 THEN GOTO 4255
  PRINT "'Oh, I was vacationing in Mexico and accidentally caught Montezuma's Revenge."
  PRINT "I've got constipation like you wouldn't believe!  Oh, my aching stomach...'"
  GOTO 4204
4265 IF kaopectate = 2 THEN PRINT "You've already done that.": GOTO 4204
  IF kaopectate = 0 THEN PRINT "Do what?  Stop trying to use items you don't have.": GOTO 4204
  PRINT "You hand the bottle of kaopectate over to the miserable rhinoceros.  He drinks"
  PRINT "the entire bottle in one gulp and then licks his lips.  'Oh, yes.  That is"
  PRINT "much better.'  He looks around of something to give you in return.  'All I"
  PRINT "really have is a package of popsicle sticks.  Would you take those?'  You"
  PRINT "gleefully take the popsicle sticks and put them in your pocket."
  popsiclesticks = 1
  kaopectate = 2
  curerhino = 1
  GOTO 4204
4275 IF curerhino = 0 THEN PRINT "You don't find anything of interest.  Other than the rhino, of course.": GOTO 4204
  PRINT "Wow!  In one corner you find where the rhinocerous relieved himself.  He"
  PRINT "REALLY needed that kaopectate that you gave him!"
  GOTO 4204

4300 CLS
  RestoreRoom = 4300
  PRINT "You are standing on the brink of a steep sea-side cliff.  The waves crash"
  PRINT "against the base of the cliff over a hundred feet below you.  Seagulls wheel"
  PRINT "about, crying sharply in the salt air.  To the west is the road, and far to"
  PRINT "the east over the sea is an island.  There is a strong wind blowing out to sea."
4305 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "S" THEN CannotGo: GOTO 4305
  IF a$ = "W" THEN GOTO 3900
  IF a$ = "E" THEN PRINT "What?  Off the cliff?": GOTO 4305
  IF a$ = "I" THEN Inventory: GOTO 4305
  IF a$ = "LOOK" THEN GOTO 4300
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 4305
  IF a$ = "QUIT" THEN Quit: GOTO 4305
  IF a$ = "SEARCH" THEN PRINT "The cliff is much to narrow here to find anything interesting.": GOTO 4305
  IF a$ = "JUMP" THEN GOTO 4360
  IF a$ = "USE UMBRELLA" OR a$ = "USE BEACH UMBRELLA" THEN GOTO 4355
  IF a$ = "HELP" THEN Help: GOTO 4300
  CannotDo
  GOTO 4305
4355 IF beachumbrella = 0 THEN PRINT "You don't have an umbrella to use here.": GOTO 4305
4360 IF beachumbrella = 1 THEN GOTO 4370
  PRINT "You take a wild, flying leap off the cliff.  You quickly plummet down toward"
  PRINT "the dark, frothing water.  Not only are you dashed to pieces on the hard"
  PRINT "rocks, but your corpse is then washed out to sea and eaten by barracudas."
  PRINT "Great way to go out with a bang: cliff dying, er, diving."
  HitAnyKey
  Dead
4370 PRINT "You open your large beach umbrella and leap from the cliff.  The wind catches"
  PRINT "the umbrella and you are carried along on the warm wind to the island.  Sort"
  PRINT "of a Mary Poppins thing."
  HitAnyKey
  GOTO 4600

4400 CLS
  RestoreRoom = 4400
  PRINT "You are standing on a strand of white beach.  The ocean is to your east, and"
  PRINT "the sun overhead warms your back.  To the north is a road and the beach runs"
  PRINT "on to the south."
4403 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 3900
  IF a$ = "S" THEN GOTO 4500
  IF a$ = "E" OR a$ = "W" THEN CannotGo: GOTO 4403
  IF a$ = "I" THEN Inventory: GOTO 4403
  IF a$ = "LOOK" THEN GOTO 4400
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 4403
  IF a$ = "QUIT" THEN Quit: GOTO 4403
  IF a$ = "SWIM" OR a$ = "ENTER WATER" THEN PRINT "You very distinctly see fins out there.  Oh, yes, you love to swim with": PRINT "sharks.  It's always a blast.  Yup.": GOTO 4403
  IF a$ = "SEARCH" THEN GOTO 4455
  IF a$ = "HELP" THEN Help: GOTO 4400
  CannotDo
  GOTO 4403
4455 IF beach1search = 1 THEN PRINT "Are you some sort of masochist or something?  Those crabs are nasty!": GOTO 4403
  PRINT "Lifting a rock to look under it, a crab clamps onto your thumb.  You manage"
  PRINT "to shake it off, but not before your thumb swells up.  Crab, that hurts!  Oh,"
  PRINT "and there wasn't anything interesting under the rock."
  beach1search = 1
  GOTO 4403

4500 CLS
  RestoreRoom = 4500
  PRINT "You are standing at the southern end of a sunny, sandy beach.  The water looks"
  PRINT "warm and inviting with the sun glittering on it.  The beach continues on to"
  PRINT "the north.  It looks as if someone was sunbathing here and then just left."
  PRINT "Their tracks lead into the surf."
4504 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 4400
  IF a$ = "S" OR a$ = "E" OR a$ = "W" THEN CannotGo: GOTO 4504
  IF a$ = "I" THEN Inventory: GOTO 4504
  IF a$ = "LOOK" THEN GOTO 4500
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 4504
  IF a$ = "QUIT" THEN Quit: GOTO 4504
  IF a$ = "SWIM" OR a$ = "ENTER WATER" THEN PRINT "And have whatever happened to the sunbather happen to you?  Uh, no.": GOTO 4504
  IF a$ = "SEARCH" THEN GOTO 4555
  IF a$ = "HELP" THEN Help: GOTO 4500
  CannotDo
  GOTO 4504
4555 IF beachumbrella = 1 THEN PRINT "You find the sunbather's tanning lotion.  It expired three years ago.": GOTO 4504
  PRINT "There's not much here except the sunbather's stuff.  You take the large beach"
  PRINT "umbrella and shove it in your pocket (ouch)."
  beachumbrella = 1
  GOTO 4504

4600 CLS
  RestoreRoom = 4600
  PRINT "You are standing on a windy cliff on a small island.  You can see the mainland"
  PRINT "far to the west.  To the east is a path leading into a forest of palm trees."
4603 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "S" THEN CannotGo: GOTO 4603
  IF a$ = "E" THEN GOTO 4700
  IF a$ = "W" THEN PRINT "If you're so eagar to get back to the mainland, just jump off the cliff.": GOTO 4603
  IF a$ = "I" THEN Inventory: GOTO 4603
  IF a$ = "LOOK" THEN GOTO 4600
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 4603
  IF a$ = "QUIT" THEN Quit: GOTO 4603
  IF a$ = "JUMP" OR a$ = "USE UMBRELLA" OR a$ = "USE BEACH UMBRELLA" THEN GOTO 4655
  IF a$ = "SEARCH" THEN PRINT "There are some coconuts here, but that's it.": GOTO 4603
  IF a$ = "GET COCONUT" OR a$ = "GET COCONUTS" THEN PRINT "You don't need 'em.": GOTO 4603
  IF a$ = "HELP" THEN Help: GOTO 4600
  CannotDo
4655 PRINT "You leap off the cliff and are caught up in the winds blowing back to the"
  PRINT "mainland.  What a cool way to travel!"
  HitAnyKey
  GOTO 4300

4700 IF fbi = 0 THEN GOTO 5400
  CLS
  RestoreRoom = 4700
  PRINT "You are in the middle of a crime scene.  There is yellow police tape"
  PRINT "everywhere.  A body is covered by a sheet.  A drug store is to the east and"
  PRINT "a path leads back to the cliff to the west.  Palm trees tower overhead."
4704 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "S" THEN CannotGo: GOTO 4704
  IF a$ = "E" THEN GOTO 4800
  IF a$ = "W" THEN GOTO 4600
  IF a$ = "I" THEN Inventory: GOTO 4704
  IF a$ = "LOOK" THEN GOTO 4700
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 4704
  IF a$ = "QUIT" THEN Quit: GOTO 4704
  IF a$ = "SEARCH" THEN PRINT "Well, there's a dead body here without a face...": GOTO 4704
  IF a$ = "GET SHEET" OR a$ = "LOOK BODY" OR a$ = "GET BODY" OR a$ = "MOVE SHEET" OR a$ = "LIFT SHEET" THEN PRINT "Dead bodies are icky bad.  You don't really want to puke, do you?": GOTO 4704
  IF a$ = "GET TAPE" OR a$ = "GET POLICE TAPE" THEN PRINT "That's a federal offense, you know.": GOTO 4704
  IF a$ = "HELP" THEN Help: GOTO 4700
  CannotDo
  GOTO 4704

4800 CLS
  RestoreRoom = 4800
  PRINT "You are standing inside a drug store.  This one sells the legal stuff, so"
  PRINT "there's no cocaine or heroin to be had here.  There are stands of vitamins,"
  PRINT "elixirs, cough syrups, and hundreds of other medicines.  The only exit is to"
  PRINT "the west."
4804 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "S" OR a$ = "E" THEN CannotGo: GOTO 4804
  IF a$ = "W" THEN GOTO 4700
  IF a$ = "I" THEN Inventory: GOTO 4804
  IF a$ = "LOOK" THEN GOTO 4800
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 4804
  IF a$ = "QUIT" THEN Quit: GOTO 4804
  IF a$ = "SEARCH" THEN GOTO 4855
  IF a$ = "STEAL" OR a$ = "SHOPLIFT" THEN PRINT "There's nothing worth stealing here.": GOTO 4804
  IF a$ = "BUY" THEN PRINT "Buy what?": GOTO 4804
  IF a$ = "BUY VITAMINS" OR a$ = "BUY ELIXIR" OR a$ = "BUY COUGH SYRUP" OR a$ = "BUY MEDICINE" OR a$ = "GET ELIXIR" OR a$ = "GET MEDICINE" OR a$ = "GET COUGH SYRUP" THEN PRINT "What for?  Who do you know that's sick?": GOTO 4804
  IF a$ = "HELP" THEN Help: GOTO 4800
  CannotDo
  GOTO 4804
4855 IF kaopectate = 1 OR kaopectate = 2 THEN PRINT "You find some cool herbal extracts, but they're really expensive.": GOTO 4804
  PRINT "You spy a bargain bin of free bottles of kaopectate.  You grab one."
  kaopectate = 1
  GOTO 4804

4900 CLS
  RestoreRoom = 4900
  PRINT "You are standing inside a sporting goods store.  Racks of sporting equipment"
  PRINT "are attached to the walls, and displays for various brands are set up here"
  PRINT "and there.  There is a large sign advertising a sale on hockey masks for $20."
  PRINT "The only exit is to the north."
4904 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 5300
  IF a$ = "S" OR a$ = "W" OR a$ = "E" THEN CannotGo: GOTO 4904
  IF a$ = "I" THEN Inventory: GOTO 4904
  IF a$ = "LOOK" THEN GOTO 4900
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 4904
  IF a$ = "QUIT" THEN Quit: GOTO 4904
  IF a$ = "SHOPLIFT" OR a$ = "STEAL MASK" OR a$ = "STEAL" OR a$ = "STEAL HOCKEY MASK" OR a$ = "SHOPLIFT MASK" OR a$ = "SHOPLIFT HOCKEY MASK" THEN PRINT "You slip a hockey mask under your shirt and start to leave the shop.":      PRINT  _
"You are stopped by the clerk, who whips out a gun and shoots you.": PRINT "Moral: don't steal hockey masks.": Dead
  IF a$ = "BUY MASK" OR a$ = "BUY HOCKEY MASK" OR a$ = "PURCHASE MASK" OR a$ = "PURCHASE HOCKEY MASK" OR a$ = "GET MASK" OR a$ = "GET HOCKEY MASK" THEN GOTO 4955
  IF a$ = "SEARCH" THEN PRINT "The clerk eyes you suspiciously, as if you were going to steal something.": GOTO 4904
  IF a$ = "BUY" THEN PRINT "Buy what?": GOTO 4904
  IF a$ = "HELP" THEN Help: GOTO 4900
  CannotDo
  GOTO 4904
4955 IF hockeymask = 1 OR hockeymask = 2 THEN PRINT "You already have one.  You don't need another.": GOTO 4904
  PRINT "The clerk asks for $20.  You look through your pockets for some money."
  IF twentydollarbill = 0 THEN PRINT "You don't have any cash.": GOTO 4904
  PRINT "You hand over your twenty dollar bill and take your hockey mask.  With this"
  PRINT "on, you can look just like Jason!"
  twentydollarbill = 2
  hockeymask = 1
  GOTO 4904

5000 CLS
  RestoreRoom = 5000
  PRINT "You are standing in a tiny alley behind the Hallmark store.  There is a large"
  PRINT "dumpster here, filled almost to the brim with trash.  The only way out is back"
  PRINT "through the store, to the south."
5003 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "E" OR a$ = "W" THEN CannotGo: GOTO 5003
  IF a$ = "S" THEN GOTO 5100
  IF a$ = "I" THEN Inventory: GOTO 5003
  IF a$ = "LOOK" THEN GOTO 5000
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 5003
  IF a$ = "QUIT" THEN Quit: GOTO 5003
  IF a$ = "SEARCH" THEN GOTO 5055
  IF a$ = "HELP" THEN Help: GOTO 5000
  CannotDo
  GOTO 5003
5055 IF dumpstersearch = 0 THEN PRINT "You root through the trash a bit, but don't find anything interesting.": dumpstersearch = 1: GOTO 5003
  IF dumpstersearch = 1 THEN PRINT "You look a bit more, but all you manage to find is a rotten peach.": dumpstersearch = 2: GOTO 5003
  IF dumpstersearch = 2 THEN PRINT "You find a birthday card, thrown out but still in good condition.  You": PRINT "pocket it for Yoshi.": dumpstersearch = 3: birthdaycard = 1: GOTO 5003
  IF dumpstersearch = 3 THEN PRINT "All you can find is useless trash and garbage.": GOTO 5003

5100 CLS
  RestoreRoom = 5100
  PRINT "You are standing inside a Hallmark card and gift shop.  You quickly glance"
  PRINT "around for some popsicle sticks, but they don't have any.  The front door"
  PRINT "is to the south.  There is also a back door leading to an alley to the north."
5104 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 5000
  IF a$ = "S" THEN GOTO 3500
  IF a$ = "E" OR a$ = "W" THEN CannotGo: GOTO 5104
  IF a$ = "I" THEN Inventory: GOTO 5104
  IF a$ = "LOOK" THEN GOTO 5100
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 5104
  IF a$ = "QUIT" THEN Quit: GOTO 5104
  IF a$ = "SEARCH" THEN PRINT "You look for a good birthday card, but all you can find are ones with": PRINT "flowers and ditzy stuff like that.": GOTO 5104
  IF a$ = "BUY CARD" OR a$ = "BUY BIRTHDAY CARD" OR a$ = "GET CARD" OR halmark$ = "GET BIRTHDAY CARD" OR a$ = "PURCHASE CARD" OR a$ = "PURCHASE BIRTHDAY CARD" THEN PRINT "You don't find one that you think Yoshi would like.  Besides, they're": PRINT  _
"all pretty expensive.": GOTO 5104
  IF a$ = "BUY" THEN PRINT "Buy what?"
  IF a$ = "STEAL" OR hallamrk$ = "STEAL CARD" OR a$ = "SHOPLIFT" THEN PRINT "You're going to risk imprisonment over a birthday card?  Get a life.": GOTO 5104
  IF a$ = "HELP" THEN Help: GOTO 5100
  CannotDo
  GOTO 5104

5200 CLS
  RestoreRoom = 5200
  PRINT "You are standing at the northern end of a white beach.  It stretches to the"
  PRINT "south.  Small waves lap over the fine sand of the beach.  A cool sea breeze"
  PRINT "blows, making the air smell salty."
5203 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "E" OR a$ = "W" THEN CannotGo: GOTO 5203
  IF a$ = "S" THEN GOTO 3900
  IF a$ = "I" THEN Inventory: GOTO 5203
  IF a$ = "LOOK" THEN GOTO 5200
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 5203
  IF a$ = "QUIT" THEN Quit: GOTO 5203
  IF a$ = "SEARCH" THEN PRINT "You find several neat shells, but don't keep them (no room in your pockets).": GOTO 5203
  IF a$ = "SWIM" OR a$ = "ENTER WATER" THEN PRINT "There are schools of barracuda out there!": GOTO 5203
  IF a$ = "HELP" THEN Help: GOTO 5200
  CannotDo
  GOTO 5203

5300 CLS
  RestoreRoom = 5300
  PRINT "You are standing along a road that runs to the east and the west.  To the"
  PRINT "north is a large field, and to the south is a sporting goods store."
5302 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 3400
  IF a$ = "S" THEN GOTO 4900
  IF a$ = "E" THEN GOTO 3500
  IF a$ = "W" THEN GOTO 3000
  IF a$ = "I" THEN CannotGo: GOTO 5302
  IF a$ = "LOOK" THEN GOTO 5300
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 5302
  IF a$ = "QUIT" THEN Quit: GOTO 5302
  IF a$ = "SEARCH" THEN PRINT "Not much here, though you notice a sign for a sale on hockey masks in": PRINT "the window of the sporting goods store.": GOTO 5302
  IF a$ = "HELP" THEN Help: GOTO 5300
  CannotDo
  GOTO 5302

5400 CLS
  RestoreRoom = 5400
  PRINT "You are in the middle of a crime scene.  There is yellow police tape"
  PRINT "everywhere.  A body is covered by a sheet and a man and a woman stand over"
  PRINT "it talking.  They are both dressed in dark trenchcoats."
  IF fbitalk = 1 THEN GOTO 5420
  HitAnyKey
  PRINT
  PRINT "The man looks at the woman and says, 'Scully, his face was ripped off.  It"
  PRINT "just has to be some sort of a poltergeist!'"
  HitAnyKey
  PRINT
  PRINT "The woman shakes her head.  'Mulder, there are plenty of wild animals on this"
  PRINT "island.  There is always a rational, scientific explanation to things.'"
  HitAnyKey
  PRINT
  PRINT "'Scully, there are no signs of mauling or a struggle.  His face was just"
  PRINT "ripped off!  Skinner'll agree with me.'  He stops in thought.  'I'll bet that"
  PRINT "Cancer Man has something to do with this.'"
  HitAnyKey
  PRINT
  PRINT "Scully shakes her head and notices you.  'We're trying to conduct an"
  PRINT "investigation here, so please be careful and don't disturb anything.'"
  fbitalk = 1
  PRINT
5420 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "S" THEN CannotGo: GOTO 5420
  IF a$ = "W" THEN GOTO 4600
  IF a$ = "E" THEN PRINT "Mulder stops you.  'You cannot go over there right now.'": GOTO 5420
  IF a$ = "I" THEN Inventory: GOTO 5420
  IF a$ = "LOOK" THEN GOTO 5400
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 5420
  IF a$ = "QUIT" THEN Quit: GOTO 5420
  IF a$ = "SEARCH" THEN PRINT "Not while those FBI agents are here.": GOTO 5420
  IF a$ = "GIVE PHOTO" OR a$ = "GIVE PHOTOGRAPH" OR a$ = "USE PHOTO" OR a$ = "USE PHOTOGRAPH" OR a$ = "GIVE PICTURE" OR a$ = "USE PICTURE" THEN GOTO 5455
  IF a$ = "ASK ABOUT PASSWORD" OR a$ = "ASK MULDER ABOUT PASSWORD" THEN PRINT "Mulder says, 'My password?  It's TRUSTNO1.'": GOTO 5420
  IF a$ = "GET SHEET" OR a$ = "LOOK BODY" OR a$ = "GET BODY" OR a$ = "MOVE SHEET" OR a$ = "LIFT SHEET" THEN PRINT "Both agents instantly whip out their guns.  'Leave the body where it is.'": GOTO 5420
  IF a$ = "GET TAPE" OR a$ = "GET POLICE TAPE" THEN PRINT "That's a federal offense, you know.": GOTO 5420
  IF a$ = "TALK SCULLY" THEN PRINT "She looks straight at you and you clamp your mouth shut.": GOTO 5420
  IF a$ = "TALK MULDER" THEN PRINT "Right as you open your mouth, his phone rings.  Once he's done with the": PRINT "conversation, you've forgotten what you were going to say.": GOTO 5420
  IF a$ = "HELP" THEN Help: GOTO 5400
  CannotDo
  GOTO 5420
5455 IF photo = 0 THEN PRINT "Dang it, stop using items that you don't have!": GOTO 5420
  PRINT "You hand the photograph of the UFO to Agent Mulder.  He takes it and his eyes"
  PRINT "light up like a jackpot on a slot machine.  'This is it!  Absolute proof that"
  PRINT "the truth is out there!'  He turns to Agent Scully.  'Let's go that a look"
  PRINT "at this!'  The two agents leave."
  fbi = 1
  photo = 2
  HitAnyKey
  GOTO 4700

5500 CLS
  RestoreRoom = 5500
  PRINT "You are standing in the kitchen of the Yoshi residence.  Clean shelves line"
  PRINT "the large room, with cabinets and racks of utensils lined against the tiled"
  PRINT "walls.  Like most other kitchens, there's a microwave, a gas stove, a sink"
  PRINT "with a dish rack, and a refrigerator.  To the east is the living room, and to"
  PRINT "the north is a walk-in pantry."
5502 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 5510
  IF a$ = "S" OR a$ = "W" THEN CannotGo: GOTO 5502
  IF a$ = "E" THEN GOTO 1200
  IF a$ = "I" THEN Inventory: GOTO 5502
  IF a$ = "QUIT" THEN Quit: GOTO 5502
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 5502
  IF a$ = "LOOK" THEN GOTO 5500
  IF a$ = "OPEN DOOR" OR a$ = "OPEN PANTRY" OR a$ = "OPEN PANTRY DOOR" THEN GOTO 5520
  IF a$ = "CLOSE DOOR" OR a$ = "CLOSE PANTRY DOOR" OR a$ = "CLOSE PANTRY" THEN GOTO 5525
  IF a$ = "SEARCH" OR a$ = "OPEN DRAWER" THEN GOTO 5530
  IF a$ = "USE SLUG" OR a$ = "USE BANANA SLUG" OR a$ = "MICROWAVE SLUG" OR a$ = "MICROWAVE BANANA SLUG" OR a$ = "NUKE SLUG" OR a$ = "NUKE SLUG" THEN 5535
  IF a$ = "OPEN MICROWAVE" OR a$ = "USE MICROWAVE" THEN 5537
  IF a$ = "OPEN STOVE" OR a$ = "USE STOVE" OR a$ = "TURN ON GAS" THEN PRINT "Gas stoves are really dangerous.  Better find something else to play with.": GOTO 5502
  IF a$ = "OPEN REFRIGERATOR" OR a$ = "OPEN FRIDGE" THEN PRINT "The leftovers have achieved conciousness!  You close the fridge in fear.": GOTO 5502
  IF a$ = "HELP" THEN Help: GOTO 5500
  IF a$ = "GET RACK" OR a$ = "GET DISH RACK" THEN PRINT "It's glued down in the sink.": GOTO 5502
  IF a$ = "GET FOOD" OR a$ = "EAT FOOD" OR a$ = "GET LEFTOVERS" OR a$ = "EAT LEFTOVERS" THEN PRINT "You don't need an all-out gastrointestinal war right now.": GOTO 5502
  IF a$ = "OPEN CABINET" OR a$ = "OPEN CABINETS" THEN PRINT "They're nailed shut.  Wierd house...": GOTO 5502
  IF a$ = "GET UTENSIL" OR a$ = "GET UTENSILS" THEN PRINT "No - you'll poke your eye out!": GOTO 5502
  CannotDo
  GOTO 5502
5510 IF pantrydoor = 1 THEN GOTO 5600
  PRINT "You bloody your nose walking into the pantry door.  Oops, it's closed!": GOTO 5502
5520 IF pantrydoor = 1 THEN PRINT "That's sort of hard, with the door already being open and all.": GOTO 5502
  PRINT "You open the pantry door, the rusty hinges squeaking in protest.": pantrydoor = 1: GOTO 5502
5525 IF pantrydoor = 0 THEN PRINT "That's sort of hard, with the door already being closed and all.": GOTO 5502
  PRINT "You close the pantry door, the rusty hinges squeaking in protest.": pantrydoor = 0: GOTO 5502
5530 IF canopener = 1 OR canopener = 2 THEN PRINT "You find some valuable silverware in a drawer.  Better take it later, after": PRINT "the party.": GOTO 5502
  PRINT "In one of the drawers, you find a fancy can opener.  You pocket it just for": PRINT "the heck of it.": canopener = 1: GOTO 5502
5535 IF bananaslug = 0 OR bananaslug = 2 THEN PRINT "You don't have a slug to nuke.": GOTO 5502
5537 IF bananaslug = 0 OR bananaslug = 2 THEN PRINT "You don't have anything you really need cooked.": GOTO 5502
  PRINT "You open the microwave and pop in your banana slug.  You grin, close the door,"
  PRINT "and set the microwave to thirty seconds.  You watch in facination as the slug"
  PRINT "swells up and explodes, creating a tremendous mess inside the microwave.  It"
  PRINT "was worth it.  Anyway, Yoshi's mom'll clean it up."
  start = start - 30
  bananaslug = 2
  GOTO 5502

5600 CLS
  RestoreRoom = 5600
  PRINT "You're in a small pantry.  Shelves of foodstuffs, jars of fruit, and other"
  PRINT "edibles cover most of the shelves, though here and there are other types of"
  PRINT "stuff, like boxes of laundry soap and Kleenex."
5601 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "W" OR a$ = "E" THEN CannotGo: GOTO 5601
  IF a$ = "S" THEN GOTO 5620
  IF a$ = "I" THEN Inventory: GOTO 5601
  IF a$ = "LOOK" THEN GOTO 5600
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 5601
  IF a$ = "QUIT" THEN Quit: GOTO 5601
  IF a$ = "SEARCH" THEN GOTO 5610
  IF a$ = "GET SOAP" OR a$ = "GET LAUNDY SOAP" THEN PRINT "Were you planning on doing some laundry?": GOTO 5601
  IF a$ = "BLOW NOSE" OR a$ = "USE KLEENEX" OR a$ = "GET KLEENEX" THEN PRINT "You don't have a cold or anything, so you don't need it.": GOTO 5601
  IF a$ = "HELP" THEN Help: GOTO 5600
  IF a$ = "GET JAR" OR a$ = "OPEN JAR" OR a$ = "GET FOOD" OR a$ = "GET FRUIT" OR a$ = "GET CANNED FRUIT" OR a$ = "GET CAN" THEN PRINT "You're all the fruit you can handle!": GOTO 5601
  IF a$ = "OPEN DOOR" OR a$ = "OPEN PANTRY DOOR" THEN GOTO 5625
  IF a$ = "CLOSE DOOR" OR a$ = "CLOSE PANTRY DOOR" THEN GOTO 5630
  CannotDo
  GOTO 5601
5610 IF qtip = 1 OR qtip = 2 THEN PRINT "There isn't much else of interest in here.": GOTO 5601
  PRINT "You find an opened box of Q-Tips and grab one.  You never know when you'll"
  PRINT "need one, after all."
  qtip = 1
  GOTO 5601
5620 IF pantrydoor = 1 THEN 5500
  PRINT "It's closed.  You're coporeal.  'Nuff said."
  GOTO 5601
5625 IF pantrydoor = 1 THEN PRINT "That's sort of hard, with the door already being open and all.": GOTO 5601
  PRINT "You open the pantry door, the rusty hinges squeaking in protest.": pantrydoor = 1: GOTO 5601
5630 IF pantrydoor = 0 THEN PRINT "That's sort of hard, with the door already being closed and all.": GOTO 5601
  PRINT "You close the pantry door, the rusty hinges squeaking in protest.": pantrydoor = 0: GOTO 5601

GetTheRoom:
   RestoringRoom = 0
   SELECT CASE RestoreRoom
     CASE 1000
       GOTO 1000
     CASE 1100
       GOTO 1100
     CASE 1200
       GOTO 1200
     CASE 1300
       GOTO 1300
     CASE 1900
       GOTO 1900
     CASE 2000
       GOTO 2000
     CASE 2100
       GOTO 2100
     CASE 2200
       GOTO 2200
     CASE 2300
       GOTO 2300
     CASE 2400
       GOTO 2400
     CASE 2700
       GOTO 2700
     CASE 2800
       GOTO 2800
     CASE 2900
       GOTO 2900
     CASE 3000
       GOTO 3000
     CASE 3100
       GOTO 3100
     CASE 3200
       GOTO 3200
'     CASE 3300
'       GOTO 3300
     CASE 3400
       GOTO 3400
     CASE 3500
       GOTO 3500
     CASE 3600
       GOTO 3600
     CASE 3700
       GOTO 3700
     CASE 3800
       GOTO 3800
     CASE 3900
       GOTO 3900
     CASE 4000
       GOTO 4000
     CASE 4100
       GOTO 4100
     CASE 4200
       GOTO 4200
     CASE 4300
       GOTO 4300
     CASE 4400
       GOTO 4400
     CASE 4500
       GOTO 4500
     CASE 4600
       GOTO 4600
     CASE 4700
       GOTO 4700
     CASE 4800
       GOTO 4800
     CASE 4900
       GOTO 4900
     CASE 5000
       GOTO 5000
     CASE 5100
       GOTO 5100
     CASE 5200
       GOTO 5200
     CASE 5300
       GOTO 5300
     CASE 5400
       GOTO 5400
     CASE 5500
       GOTO 5500
     CASE 5600
       GOTO 5600
     CASE ELSE
       GOTO 1000
   END SELECT

END SUB

